# -*- rpm-spec -*-
# $Id: kernel-fix-drivers-ieee1394.spec,v 1.3 2004/03/21 20:03:04 vsu Exp $
#

%define patch_name	kernel-fix-drivers-ieee1394

Name: %patch_name
Version: 2004.03.21
Release: alt1

Summary: %patch_name - Linux kernel IEEE1394 drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

%source  0	00_video1394-init.patch
%source  1	01_dma-vmalloc.patch

BuildPreReq: kernel-build-tools

%description
Linux kernel IEEE1394 drivers fixes

%install

%install_patches

%files
%_usrsrc/*

%changelog
* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Removed old patches.
- Added:
  + 00_video1394-init.patch: Init d->link list head so failures are handled
    properly
  + 01_dma-vmalloc.patch: Use vmalloc to allocate sglist array for larger cases

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Replaced 00_ieee1394-nodemgr-lock-fix.patch with 00_ieee1394-fixes.patch
  (includes the previous fix and more).

* Wed Sep 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.24-alt1
- Initial release
- 00_ieee1394-nodemgr-lock-fix.patch - fixes locking in nodemgr_host_thread

